<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="10"
      :sm="24"
    >
      <warehouse-depart-model-left 
      ref="left" 
      :enterpriseId="enterpriseId" 
      @loadList="loadList"
      />
    </a-col>
    <a-col
      :md="14"
      :sm="24"
    >
      <warehouse-depart-model-right 
      ref="right" 
      :mainId="mainId" 
      @getAddDepartIds="getAddDepartIds" 
      :departInfo="departInfo"
      :originTargetKeys="originTargetKeys"
      :addId="addId"
      />
    </a-col>
  </a-row>
</template>
<script>
import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import WarehouseDepartModelLeft from './WarehouseDepartModelLeft.vue';
import WarehouseDepartModelRight from './WarehouseDepartModelRight.vue';
export default {
  name: 'WarehouseDepartModel',
  components: {
    WarehouseDepartModelLeft,
    WarehouseDepartModelRight,
    JeecgListMixin
  },
  props:{
      enterpriseId:{
        type:String,
        default:'',
        required:false
      },
      mainId:{
        type:String,
        default:'',
        required:false
      },
      originTargetKeys:{
        type:Array,
        required:false
      },
      addId:{
        type:String,
        default:'',
        required:false
      },
  },
  data() {
    return {
      description: '工厂/车间/产线建模',
      departInfo:{}
    }
  },
  methods: {
    loadList(val){
    this.departInfo=val
    },
    clearList(){
      this.$refs.right.onClearSelected();
    },
    getAddDepartIds(val){
      this.$emit('getAddDepartIds',val);
    },
  },
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>